Bug 197298 - devel/deforaos-libsystem : update to 0.2.0
Summary: devel/deforaos-libsystem : update to 0.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-03 19:12 UTC by olivier
Modified: 2015-03-15 23:12 UTC (History)
2 users (show)

See Also:


Attachments
patch for updating the port (2.08 KB, patch)
2015-02-03 19:12 UTC, olivier
no flags Details | Diff
poudriere testport log file (20.48 KB, text/plain)
2015-02-03 19:12 UTC, olivier
no flags Details
patch for updating the port (3.49 KB, patch)
2015-02-06 16:25 UTC, olivier
no flags Details | Diff
patch for updating the port (3.62 KB, patch)
2015-03-13 16:59 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2015-02-03 19:12:21 UTC
Created attachment 152524 [details]
patch for updating the port

Here is a maintainer port update. poudriere testport log will follow.
Comment 1 olivier 2015-02-03 19:12:46 UTC
Created attachment 152525 [details]
poudriere testport log file
Comment 2 John Marino freebsd_committer 2015-02-06 15:12:30 UTC
needs stripping:

Warning: 'bin/configctl' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Warning: 'lib/libSystem.so.0.0' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Comment 3 olivier 2015-02-06 16:25:32 UTC
Created attachment 152623 [details]
patch for updating the port

New patch (I've forgot to remove old file too) that strip bin+lib.

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
Comment 4 John Marino freebsd_committer 2015-02-06 16:33:11 UTC
Thanks, I'm promoting it now.
Comment 5 Pawel Pekala freebsd_committer 2015-02-20 17:58:00 UTC
This port doesn't respect our ports framework CFLAGS it would be
nice to fix this. Also this would probably fix not stripped
binaries as this port compiles with debugging symbols by default (-g).
Comment 6 olivier 2015-03-13 16:59:15 UTC
Created attachment 154271 [details]
patch for updating the port

I've replaced CFLAGS= by CFLAGS+= in the port Makefile.
The usage of -g is useless: Then I kept the strip action.
Comment 7 commit-hook freebsd_committer 2015-03-15 23:10:35 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Mar 15 23:10:08 UTC 2015
New revision: 381366
URL: https://svnweb.freebsd.org/changeset/ports/381366

Log:
  - update to 0.2.0
  - fix CFLAGS usage
  - stripe binaries before install

  PR:		197298

Changes:
  head/devel/deforaos-libsystem/Makefile
  head/devel/deforaos-libsystem/distinfo
  head/devel/deforaos-libsystem/files/
  head/devel/deforaos-libsystem/pkg-plist
Comment 8 Rodrigo Osorio freebsd_committer 2015-03-15 23:12:52 UTC
committed with minor changes, thanks